@echo off

REM STM32CubeProgrammer
REM   1. STM32CubeProgrammer must be installed first : https://www.st.com/en/development-tools/stm32cubeprog.html
REM   2. Add STM32CubeProgrammer CLI executable to the environment PATH
set STM32_CUBE_PROGRAMMER_EXE=STM32_Programmer_CLI.exe
REM Firmware binary flash load address
set FW_BIN_LOAD_ADDR=0x08000000
REM Firmware binary input file
set FW_BIN_FILE=..\http_server_iap_dual_bank_demo.bin

REM Load firmware binary file in to internal flash at %FW_BIN_LOAD_ADDR%
echo Loading firmware binary in to internal flash at %FW_BIN_LOAD_ADDR%...
%STM32_CUBE_PROGRAMMER_EXE% -c port=SWD index=0 -d %FW_BIN_FILE% %FW_BIN_LOAD_ADDR% -halt -rst

pause
