@echo off

REM locate ST_LINK_CLI executable
where ST-LINK_CLI.exe > tmpFile
SET /p ST-LINK-CLI_PATH= < tmpFile
del tmpFile

REM Select ST_LINK CLI external flash loader (MX25L512G)
set EXTERNAL_FLASH_LOADER_NAME=MX25L512G_STM32F769I-DISCO.stldr
REM ST_LINK CLI external flash loader path
set EXTERNAL_FLASH_LOADER_PATH="%ST-LINK-CLI_PATH%\..\ExternalLoader\%EXTERNAL_FLASH_LOADER_NAME%"


REM Erase external flash
echo Erasing external flash...
ST-LINK_CLI.exe -c ID=0 SWD -Halt -Rst -SE 0 31 -EL %EXTERNAL_FLASH_LOADER_PATH%

echo Done.
pause
