@echo off

REM J-Link Commander
REM 1. "J-Link Software and Documentation pack" must be installed first: https://www.segger.com/downloads/jlink/ (version 7.22)
REM 2. Add J-Link.exe (J-Link Commander CLI) executable to the environment PATH (C:\Program Files (x86)\SEGGER\JLink_V722)
set JLINK_COMMANDER_EXE=JLink.exe
set DEVICE=ATSAME54P20

REM Firmware binary flash load address
set FW_BIN_LOAD_ADDR=0x00000000

REM Load firmware binary file in to internal flash at %FW_BIN_LOAD_ADDR%
echo Loading firmware binary in to internal flash at %FW_BIN_LOAD_ADDR%...
%JLINK_COMMANDER_EXE% -device %DEVICE% -if SWD -speed 4000 -autoconnect 1 -CommanderScript ./jlink/same54_load_http_server_iap_dual_bank_demo.jlink

pause
