@echo off

REM STM32CubeProgrammer
REM   1. STM32CubeProgrammer must be installed first : https://www.st.com/en/development-tools/stm32cubeprog.html
REM   2. Add STM32CubeProgrammer CLI executable to the environment PATH
set STM32_CUBE_PROGRAMMER_EXE=STM32_Programmer_CLI.exe

REM Configure STM32H743ZI MCU in dual bank mode
echo Configuring STM32 MCU flash in dual bank mode...
%STM32_CUBE_PROGRAMMER_EXE% -c port=SWD index=0 -ob BCM7=0x1 SWAP_BANK=0x0 BOOT_CM7_ADD0=0x800 BOOT_CM7_ADD1=0x810

echo Done.
pause
